com.independentsoft.exchange

## Enum ResponseClass

- java.lang.Object
- - java.lang.Enum<ResponseClass>
  - - com.independentsoft.exchange.ResponseClass

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResponseClass>

      public enum ResponseClass
      extends java.lang.Enum<ResponseClass>

  Identifies the status states of a response.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Indicates that the request could not be processed.
    `SUCCESS` Indicates that the request was successfully processed.
    `WARNING` Indicates that an unusual situation was encountered during the processing of the request and the request may not have been processed successfully.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseClass` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResponseClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final ResponseClass SUCCESS

      Indicates that the request was successfully processed.

    - #### WARNING

          public static final ResponseClass WARNING

      Indicates that an unusual situation was encountered during the processing of the request and the request may not have been processed successfully.

    - #### ERROR

          public static final ResponseClass ERROR

      Indicates that the request could not be processed.

  - ### Method Detail

    - #### values

          public static ResponseClass[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResponseClass c : ResponseClass.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResponseClass valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null